Name:           hwinfo
Version:        23.2
Release:        1
Summary:        Probe for hardware
License:        GPL+
URL:            https://github.com/openSUSE/hwinfo
Source0:        https://github.com/openSUSE/hwinfo/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         hwinfo-23.2-sw.patch

BuildRequires:  libx86emu-devel libx86emu doxygen flex perl-XML-Parser pkgconfig udev util-linux-devel gcc

%description
hwinfo is used to report the present hardware information in the system.
It is able to generate a system overview log about hardware.

%package 	devel
Summary:        The devel for %{name}
Requires:       %{name} = %{version}-%{release}

%description 	devel
The header files and libraries for developing %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
make LDFLAGS="%{__global_ldflags} -Lsrc" LIBDIR=%{_libdir} HWINFO_VERSION=%{version}

%install
%make_install LDFLAGS="%{__global_ldflags} -Lsrc" LIBDIR=%{_libdir} HWINFO_VERSION=%{version}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%{_sbindir}/*
%{_libdir}/libhd.so.*
%{_sharedstatedir}/hardware/udi

%files devel
%{_includedir}/hd.h
%{_libdir}/pkgconfig/hwinfo.pc
%{_libdir}/libhd.so

%files help
%doc *.md MAINTAINER
%{_datadir}/hwinfo

%changelog
* Tue Feb 06 2024 zhangnaichuan<zhangnaichuan@huawei.com> - 23.2-1
- update to hwinfo-23.2

* Mon Jan 30 2023 chenhaixiang<chenhaixiang3@huawei.com> - 22.2-1
- update to hwinfo-22.2

* Thu Oct 20 2022 wuzx<wuzx1226@qq.com> - 21.82-2
- add sw64 patch

* Sun Aug 28 2022 tianlijing <tianlijing@kylinos.cn> - 21.82-1
- update to 21.82

* Fri Dec 3 2021 zhouwenpei <zhouwenpei1@huawei.com> - 21.77-1
- update to 21.77

* Wed Jun 30 2021 zhouwenpei <zhouwenpei1@huawei.com> - 21.71-2
- add buildrequire gcc

* Sat Jan 30 2021 xinghe <xinghe1@huawei.com> - 21.71-1
- update to 21.71

* Thu Jul 23 2020 jinzhimin<jinzhimin2@huawei.com> - 21.70-1
- update to 21.70

* Sat Apr 20 2019 liusirui<liusirui@huawei.com> - 21.47-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: backport patch to fix save-config issues.

* Tue Apr 9 2019 liusirui<liusirui@huawei.com> - 21.47-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:backport patches from https://github.com/openSUSE/hwinfo

* Mon Apr 8 2019 openEuler Buildteam <buildteam@openeuler.org> - 21.47-3
- Package init
